#include "../xmega/avr_compiler.h"		// ldt Pins und Ports
#include "adc.h"
#include "global.h"		// REC
#include "clocks.h"		// evs

// ADC *******************************************************************


void ADC_config()	{			// defines siehe header

	// ADCA init:
	ADCA.PRESCALER = ADCxPRESCAL;	// 100: Vorteiler 64, 32MHz/64 = 500kHz
	ADCA.EVCTRL = ADCxEVCTRL;		// four channel syncsweep on evchl 7,	p.304 #####
	ADCA.CTRLB = ADCxCTRLB;			// 
	ADCA.REFCTRL = ADCxREFCTRL;		// 
	ADCA.CTRLA = ADCxCTRLA	;		// ADC ENABLE

	// ADCB init:
	ADCB.PRESCALER = ADCxPRESCAL;	//
	ADCB.EVCTRL = ADCxEVCTRL;		//
	ADCB.CTRLB = ADCxCTRLB;
	ADCB.REFCTRL = ADCxREFCTRL;
	ADCB.CTRLA = ADCxCTRLA;
	// weiter auf Seite 296

	// ADCA	einstellen (Kanle K1, K2, K3, K4)
	ADCA.CH0.MUXCTRL = ADCxMUXCTRL | (CHA0PIN<<3);	// input is CHA0PIN, p.310 	###
	ADCA.CH0.CTRL = ADCxCHyCTRL;

	ADCA.CH1.MUXCTRL = ADCxMUXCTRL | (CHA1PIN<<3);	// input is CHA1PIN 	###
	ADCA.CH1.CTRL = ADCxCHyCTRL;

	ADCA.CH2.MUXCTRL = ADCxMUXCTRL | (CHA2PIN<<3);	// input is CHA2PIN 	###
	ADCA.CH2.CTRL = ADCxCHyCTRL;

	ADCA.CH3.MUXCTRL = ADCxMUXCTRL | (CHA3PIN<<3);	// input is CHA3PIN 	###
	ADCA.CH3.CTRL = ADCxCHyCTRL;

	// ADCB einstellen (Kanle K5,K6,KU,KI)
	ADCB.CH0.MUXCTRL = ADCxMUXCTRL | (CHB0PIN<<3);	// input is CHB0PIN 	###
	ADCB.CH0.CTRL = ADCxCHyCTRL;

	ADCB.CH1.MUXCTRL = ADCxMUXCTRL | (CHB1PIN<<3);	// input is CHB1PIN 	###
	ADCB.CH1.CTRL = ADCxCHyCTRL;

	ADCB.CH2.MUXCTRL = ADCxMUXCTRL | (CHB2PIN<<3);	// input is CHB2PIN 	###
	ADCB.CH2.CTRL = ADCxCHyCTRL;

	ADCB.CH3.MUXCTRL = ADCxMUXCTRL | (CHB3PIN<<3);	// input is CHB3PIN 	###
	ADCB.CH3.CTRL = ADCxCHyCTRL;
}



