#include "../xmega/avr_compiler.h"		// ldt Pins und Ports
#include "button.h"
#include "global.h"

// Button init **********************************************************************

// PC0 SW2 "ENTER" with soft-pullup
// #define BTNPORT PORTC		// ENTER-Button port
// #define BTNPIN (1<<PIN0)		// ENTER-Button pin
// #define prellz 1000			// geforderte Anzahl von gleichen Abtastungen


void BTN_config(void)	{

	BTNPORT.DIR &=~ BTNPIN;					// set BTN direction to input
	BTNPORT.PIN0CTRL |= (1<<4) | (1<<3); 	// pullup, A-manual S.142, OPC Bit 5:3 = 011	###
}	// pullup getested, ok.


// Tasten-Entprellung *************************************************

uint8_t entprelle(void) {		// wird nicht mehr benutzt
	// entprelle, return = 1, wenn Taste lange genug gedrckt ist
	// wird mit jedem systick-interrupt aufgerufen
	// Taste mu prellzahl-mal gedrckt sein fr Rckgabe von eins
	// "entprelle" mu alle paar ms aufgerufen werden
	// bei systick = 10 kHz ergibt prellz=1000 eine zehntel Sekunde (100 ms).
	// 1000 * 0,1s = 0,1 ms
	static uint8_t cnt;

	if ( !( BTNPORT.IN & BTNPIN ) )	{  	// if BTN is pressed, then
		cnt++;	// Zhler erhhen (solange ENTER gedrckt wird); cnt ist global
		if (cnt > PRELLZAHL)	{	// mehr als prellzahl-mal erkannt
			cnt = 0;		// Zhler rcksetzen
			return 1;		// Tastendruck wurde mehr als prellz-mal erkannt
		}
	}
	else 	{	// not pressed
		cnt = 0;	// Zhler rcksetzen
	}
	return 0;	// keinen Tastendruck erkannt 
}


void BTN_check(void)	{		// wird in Systick aufgerufen
	if ( entprelle() != 0 )	{ 	// if BTN was long enough pressed, then
		leds++;					// leds durchschalten, global
		if (leds > 6) {
			leds = 0;			// reset, if greater maximum of leds
		} 
	}
}


// Schalter oder Pin abfragen *************************************************

uint8_t getkey(uint8_t *portreg, uint8_t mask_bm)	{	// Pin oder Schalter abfragen
	// Funktionsaufruf:  z.B. getkey(&BTNPORT.IN,BTNPIN)
	// inp: Port-IN (PIN)		out: return-value 0 oder anderen
	return( *portreg & mask_bm); 		// Wert zurckgeben
}



