#ifndef LEDS_H
#define LEDS_H
#include "global.h"

// port/pin assignment for LEDs
	// PD0 ~ LD1 ~ red
	// PD1 ~ LD2 ~ green
	// LEDs are low active (wired AND) 0: lightning, 1:dark

#define LEDPORT PORTD					// port fr LEDs
#define LRED (1<<PIN0)					// pin for red LED
#define LGRN (1<<PIN1)					// pin for green LED
#define LBLU (1<<PIN6)					// pin for blue LED
#define WIRAND 0b00101000				// wired-AND, OPC = 101, high not driven



// LED inits ********************************************************************


void LEDs_TGL(void);
void LEDS_OFF(void);

void LED_GREEN_OFF(void);
void LED_GREEN_ON(void);
void LED_GREEN_TGL(void);
void LED_GREEN(void);

void LED_RED_OFF(void); 
void LED_RED_ON(void); 
void LED_RED_TGL(void);
void LED_RED(void);

void LED_BLUE_OFF(void); 
void LED_BLUE_ON(void); 
void LED_BLUE_TGL(void);
void LED_BLUE(void);

void LED_YELLOW(void);

// LED-display 
void display(enum led_t leds);
void LEDs_config(void);



#endif ////////////////////////// end of header /////////////////////////////////
